curl --location "https://randomseed.lol/v1/models" \
--header "Authorization: Bearer $RANDOMSEED_API_KEY"
{
"public_models": [
{
"support_inpainting": false,
"model_name": "...",
"model_type": "..."
},
...
],
"private_models": [
{
"support_inpainting": false,
"model_name": "...",
"model_type": "..."
},
...
]
}
Endpoints
v1/models
Get all the models
curl --location "https://randomseed.lol/v1/models" \
--header "Authorization: Bearer $RANDOMSEED_API_KEY"
{
"public_models": [
{
"support_inpainting": false,
"model_name": "...",
"model_type": "..."
},
...
],
"private_models": [
{
"support_inpainting": false,
"model_name": "...",
"model_type": "..."
},
...
]
}
API key
Create your account on RandomSeed & grab your api keyHeaders
string
Your API key. This is required by most endpoints to access our API programatically. You can get your api key by clicking on ‘API reference’ tab under your profile icon.
Response
object[]
object[]
curl --location "https://randomseed.lol/v1/models" \
--header "Authorization: Bearer $RANDOMSEED_API_KEY"
{
"public_models": [
{
"support_inpainting": false,
"model_name": "...",
"model_type": "..."
},
...
],
"private_models": [
{
"support_inpainting": false,
"model_name": "...",
"model_type": "..."
},
...
]
}